Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Interface ToolkitConstants

All Known Implementing Classes:
  JNDIHelper, WebLogicHelper

    public interface ToolkitConstants

Toolkit specific constants.

Field Summary
`static int` | `DEFAULT_ID_CACHE` The default cache size for ids.
`static String` | `DEFAULT_ID_PROCEDURE` The default property value for the 'sequence' stored procedure.
`static String` | `DEFAULT_JDBC_POOL_NAME` Default JDBC Connection pool value.
`static String` | `DEFAULT_JTS_POOL_NAME` Default JDBC Connection pool value.
`static int` | `DEFAULT_LOGGING_LEVEL` The defeault logging level.
`static String` | `DEFAULT_WEBLOGIC_HOST` The default system property value for the weblogic host.
`static String` | `DEFAULT_WEBLOGIC_PORT` The default system property value for the weblogic port.
`static String` | `ID_CACHE` The cache size for ids property name.
`static String` | `ID_PROCEDURE` The property name for the 'sequence' stored procedure.
`static String` | `JDBC_POOL_NAME` JDBC Connection pool property name.
`static String` | `JTS_POOL_NAME` JDBC Connection pool property name.
`static int` | `LOG_DEBUG` Debugging logging level.
`static int` | `LOG_ERROR` Error logging level.
`static int` | `LOG_FATAL` Fatal logging level.
`static int` | `LOG_INFO` Informational logging level.
`static int` | `LOG_SECURITY` Security logging level.
`static int` | `LOG_WARNING` Warning logging level.
`static String` | `LOGGING_LEVEL` The property for determining the minimum logging level.
`static String` | `WEBLOGIC_HOST` System property name for the weblogic host.
`static String` | `WEBLOGIC_PORT` System property name for the weblogic port.

Field Detail

### WEBLOGIC_HOST

    static final String WEBLOGIC_HOST

  System property name for the weblogic host.

  See Also
    Constants Summary

### DEFAULT_WEBLOGIC_HOST

    static final String DEFAULT_WEBLOGIC_HOST

  The default system property value for the weblogic host.

  See Also
    Constants Summary

### WEBLOGIC_PORT

    static final String WEBLOGIC_PORT

  System property name for the weblogic port.

  See Also
    Constants Summary

### DEFAULT_WEBLOGIC_PORT

    static final String DEFAULT_WEBLOGIC_PORT

  The default system property value for the weblogic port.

  See Also
    Constants Summary

### LOG_DEBUG

    static final int LOG_DEBUG

  Debugging logging level.

  See Also
    Constants Summary

### LOG_INFO

    static final int LOG_INFO

  Informational logging level.

  See Also
    Constants Summary

### LOG_WARNING

    static final int LOG_WARNING

  Warning logging level.

  See Also
    Constants Summary

### LOG_ERROR

    static final int LOG_ERROR

  Error logging level.

  See Also
    Constants Summary

### LOG_FATAL

    static final int LOG_FATAL

  Fatal logging level.

  See Also
    Constants Summary

### LOG_SECURITY

    static final int LOG_SECURITY

  Security logging level.

  See Also
    Constants Summary

### LOGGING_LEVEL

    static final String LOGGING_LEVEL

  The property for determining the minimum logging level.

  See Also
    Constants Summary

### DEFAULT_LOGGING_LEVEL

    static final int DEFAULT_LOGGING_LEVEL

  The defeault logging level.

  See Also
    Constants Summary

### JDBC_POOL_NAME

    static final String JDBC_POOL_NAME

  JDBC Connection pool property name.

  See Also
    Constants Summary

### DEFAULT_JDBC_POOL_NAME

    static final String DEFAULT_JDBC_POOL_NAME

  Default JDBC Connection pool value.

  See Also
    Constants Summary

### JTS_POOL_NAME

    static final String JTS_POOL_NAME

  JDBC Connection pool property name.

  See Also
    Constants Summary

### DEFAULT_JTS_POOL_NAME

    static final String DEFAULT_JTS_POOL_NAME

  Default JDBC Connection pool value.

  See Also
    Constants Summary

### ID_CACHE

    static final String ID_CACHE

  The cache size for ids property name.

  See Also
    Constants Summary

### DEFAULT_ID_CACHE

    static final int DEFAULT_ID_CACHE

  The default cache size for ids.

  See Also
    Constants Summary

### ID_PROCEDURE

    static final String ID_PROCEDURE

  The property name for the 'sequence' stored procedure.

  See Also
    Constants Summary

### DEFAULT_ID_PROCEDURE

    static final String DEFAULT_ID_PROCEDURE

  The default property value for the 'sequence' stored procedure.

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved